Create transactions

This endpoint creates transactions

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The uid of the account/wallet you want to create transaction for.

string
required

The assetType you want to send (BTC,USDT,LTC,BCH)

double
required
deprecated

The amount of asset to be sent. Deprecated for tos

string
required
deprecated

The receiving address. Deprecated for tos

string

The transaction fee.

string

The address from which amount will be sent from. Deprecated for from

from
array of strings

The crypto addresses you're sending from

from
fromUtxo
array of objects

The utxo to spend from when sending transactions

fromUtxo
tos
array of objects

The crypto addresses you're sending to and the value

tos
number

Number of sats per byte to pay for the transaction (for BTC, LTC, BCH and DOGE)

string

The minimum value of a UTXO (for BTC, LTC, BCH and DOGE).

string

The maximum value of a UTXO (for BTC, LTC, BCH and DOGE).

boolean

Transaction should override previous transaction (for BTC, LTC, BCH and DOGE).

string

The maximum price a user is willing to pay when sending a transaction (for ETH,POLYGON and BSC).

string

The cost necessary to perform a transaction on the network (for ETH,POLYGON and BSC).

number

Fee limit for submitting transactions on TRON and Stellar

string

The details of the transaction..

string

Idempotency key for the transaction. Ensure this is a unique reference for each transaction. Dont use the same idempotency key for multiple transactions. You should use uuid or ulid

string

The memo string for chains like Stellar, Bantu

string

The custom operation for sending transactions. Default is transfer for all transactions except Stellar which is payment for existing account and create_account for new account. We current support transfer, transferFrom, approve, change_trust, payment, create_account

boolean

Submit transactions to the transaction relayer (A queue system). To submit directly to the blockchain, should be false. Hash only comes with the response when its submitted directly.

string

Address to use for paying transactions. Available only on EVM/TVM transactions after approve transaction must have been created. It supported natively by Solana and Stellar (Fee Bump Transactions).

string

Address you want to approve to spend from the address you specify in the fromAddress.

string

Address to use as change address instead of generating a new one. Must be an address generated on Bitpowr in the same wallet id

string

the type of address to generate for change address. e.g segwit, wrappedsegwit, legacy

string

The sub account id you want to send the transaction from

string

The customer id making this transaction

Response

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json